package mysql

import "github.com/jmoiron/sqlx"

const createUserSql = `CREATE TABLE IF NOT EXISTS db_unis_aisub (userid VARCHAR(64) NOT NULL,is_sub INT,CONSTRAINT db_unis_aisub_pk PRIMARY KEY (userid));`

type Mysql struct {
	Db *sqlx.DB
}

func (s *Mysql) GetDb() *sqlx.DB {
	return s.Db
}

func (s *Mysql) CreateUserSql() string {
	return createUserSql
}
