package sqlite

import "github.com/jmoiron/sqlx"

const createUserSql = `CREATE TABLE IF NOT EXISTS db_unis_aisub (userid TEXT NOT NULL,is_sub INTEGER,CONSTRAINT db_unis_aisub_pk PRIMARY KEY (userid));`

type Sqlite3 struct {
	Db *sqlx.DB
}

func (s *Sqlite3) GetDb() *sqlx.DB {
	return s.Db
}

func (s *Sqlite3) CreateUserSql() string {
	return createUserSql
}
